#include <qapplication.h>
#include <qtextcodec.h>
#include "bggui.h"

//CHANGELOG:
/*
*** 0.3 alpha: QT GUI
	- view, search
	
	- sizePolicy ili tam kakvoto e
	- da mahna konzolnija izhod
	
*** 0.3 betha: poveche prevodi
	- ZAKACHANE KYM PYLNIJA FORMAT NA VANYOG

	- poveche ot edin pevod (v tabove)
		ili
	- menju za prevodite (na pyrvo vreme samo po edin aktiven)
		
	- fix na premigvaneto pri smjana na pozicijata
	- web-podoben interface za predishna/druga/sledvasta glava v tekustata kniga
*/	

//-TODO:
/*
*** 0.3.1
	- case insensitive search
	- conf file v etc. ili ~; opcii v menjuto za:
		- pyt do modulite
		
		- defaulten prevodite
		- istorija na search-a
		- ...
	
		- latin view
		- nov red za vseki stih
		- cjvat na aktiven stih
		
		
	- shell script instalator
    - tools->smjatane na merki
	- tools->sluchaen stih
	
*** 0.3.2
	- design na jerarhija za moduli
	- otdelni prozorci, paralel view i t.n.
	
    - popup view za moduli ot roda na prepratki
	- istorija na posestenijata... - browse v njakakyv vid
*/

#include <iostream>
using namespace std;

int main( int argc, char ** argv )
{
	try {
		extract_application_dirPath (argv[0]);
	
		QApplication a( argc, argv );
		QTextCodec::setCodecForCStrings (QTextCodec::codecForName("CP1251"));
		
		BibleForm w;
		w.show();
		a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );
		return a.exec();
	} catch (exception & ex) {
		cout << "Main exception: " << ex.what() << endl;
	} catch (...) {
		cout << "Main exception: UNKNOWN" << endl;
	}
	
	return 0;
}
