// C++ Implementation: vanyog_ref
// Description: 
//
// Author: Radoslav Atanasov <rsdevelop@gmail.com>, (C) 2005
// Copyright: See COPYING file that comes with this distribution

#include "vanyog_ref.h"
#include "rs_utils.h"

namespace BgBible {
	namespace VanyoG {
		string CRef::toString (const ITitles * titles) const 
			throw (out_of_range)
		{
			return titles->abbreviatedTitle (m_bookID) 
				+ rs::format(" %u:%u", m_chapter + 1, m_verse + 1);
		}

#if 0		
		string CRef::toString (const char* format, const ITitles * titles) const 
			throw (out_of_range)
		{
			return ""; //-TODO
		}
#endif
	}
}
